package com.codegeist.fisheye.core.connection;

import com.codegeist.fisheye.service.FisheyeService;

/**
 * @author Brock Janiczak
 * @noinstantiate This class is not intended to be instantiated by clients.
 */
public final class FisheyeConnection {
	private final String name;
	private final String connectionUrl;
	private final FisheyeService service;
	
	public FisheyeConnection(String name, String connectionUrl, FisheyeService service) {
		this.name = name;
		this.connectionUrl = connectionUrl;
		this.service = service;
	}
	
	public String getName() {
		return name;
	}
	
	public String getConnectionUrl() {
		return connectionUrl;
	}
	
	public FisheyeService getService() {
		return service;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((connectionUrl == null) ? 0 : connectionUrl.hashCode());
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		FisheyeConnection other = (FisheyeConnection) obj;
		if (connectionUrl == null) {
			if (other.connectionUrl != null)
				return false;
		} else if (!connectionUrl.equals(other.connectionUrl))
			return false;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		return true;
	}
	
	@Override
	public String toString() {
		return name + " " + connectionUrl;
	}
}
