package com.codegeist.fisheye.internal.service;

import org.junit.Test;

import com.codegeist.fisheye.domain.PathInfo;

public class PathInfoHandlerTest extends AbstractHandlerTest<PathInfoHandler> {
	
	@Override
	protected PathInfoHandler createHandler() {
		return new PathInfoHandler("/");
	}
	
	@Test
	public void testSinglePathInfo() throws Exception {
		String[] names = {
			"name",
			"isFile",
			"isDir",
			"isHeadDeleted",
		};
		
		String[] values = {
				"branches",
				"false",
				"true",
				"false",
		};
		
		startDocument();
		startElement("pathinfo", names, values);
		endElement("pathinfo");
		endDocument();
		
		PathInfo result = handler.getResult();
		
		assertNotNull(result);
		
		assertEquals(new PathInfo("/", "branches", false, true, false), result);
	}
	
	@Test
	public void testDeepPathInfo() throws Exception {
		String[] names = {
			"name",
			"isFile",
			"isDir",
			"isHeadDeleted",
		};
		
		String[] values = {
				"someProduct",
				"false",
				"true",
				"false",
		};
		
		startDocument();
		startElement("pathinfo", names, values);
		endElement("pathinfo");
		endDocument();
		
		PathInfo result = handler.getResult();
		
		assertNotNull(result);
		
		assertEquals(new PathInfo("/branches", "someProduct", false, true, false), result);
	}
}
