package com.codegeist.fisheye.domain.query;

import java.util.Date;

public class DateRangeRestriction implements Restriction {

	private final Date from;
	private final boolean fromInclusive;
	private final Date to;
	private final boolean toInclusive;

	public DateRangeRestriction(Date from, boolean fromInclusive, Date to, boolean toInclusive) {
		this.from = from;
		// TODO need to supply both to/from
		this.fromInclusive = fromInclusive;
		this.to = to;
		this.toInclusive = toInclusive;
	}
	
	public StringBuilder appendEyeQlFragment(StringBuilder buffer) {
		buffer.append(" date in ");
		if (fromInclusive) {
			buffer.append("[");
		} else { 
			buffer.append("(");
		}
		buffer.append(from); // TODO format this correctly
		
		buffer.append(",");
		buffer.append(to);  // TODO format this correctly
		if (toInclusive) {
			buffer.append("]");
		} else { 
			buffer.append(")");
		}
		
		return buffer;
	}
}
